var a = (5);  
var b, c;

(b) = ((a) * (5));  
(b) = ((c) = (b/2));

const age = prompt('напишите ваш возраст');
const yearOfBirth = 2022 - age;
alert('О да ты ' + yearOfBirth + ' года рождения');

const temperetureC = prompt('Не пора ли включить отопление... \nКакая у вас дома температура в градусах цельсия?');
const temperatureF = ( temperetureC * 9/5) + 32;
alert('А по Фаренгейту твои ' + temperetureC + ' градусов выглядят значительно теплее. \nЭто будет аж ' + temperatureF + ' градуса Фаренгейта');

const dividend = prompt('введите число которое хотите поделить. Не целые и отрицательные числа также работают ');
const divisor = prompt('на сколько вы хотите поделить:');
const resultInteger = Math.floor(Math.abs(dividend) / Math.abs(divisor));
const modulo = Math.abs(dividend) % Math.abs(divisor);
alert(divisor + ' поместится в ' + dividend + ' целых ' + resultInteger + ' раз. Остаток: ' + modulo.toFixed(3));
/* 12 / 2.2 и отрицательные числа поборол :)
 Есть еще вопрос: чтобы не показывать лишние 0 после запятой в остатке, если их нет в решении, можно ли
 делать так: modulo = dividend - (resultInteger * divisor);?
*/

const rate = 40;
const money = prompt ('Текущий курс ' + rate + 'грн / 1$ \nсколько гривен вы хотите продать:');
const resultExchange = money / rate;
alert('вы получите ' + resultExchange.toFixed(2) + ' $');

const red = (+prompt('количество красного цвета от 0 до 255')).toString(16);
const green = (+prompt('количество зеленого цвета от 0 до 255')).toString(16);
const blue = (+prompt('количество зеленого цвета от 0 до 255')).toString(16);
const rgbHex = '#' + red + green + blue;
alert('ваш цвет в HEX: ' + rgbHex);

const apartmentNumber = +prompt('введите номер квартиры');
const houseFloors = prompt('сколько этажей в доме?');
const apartmentОnFloor = prompt('сколько квартир на одном этаже?');
const apartmentOnFrontDoor = houseFloors * apartmentОnFloor;
const apartmentNumberInFrontDoor = (apartmentNumber -1) % apartmentOnFrontDoor;
const floor = Math.floor(apartmentNumberInFrontDoor/apartmentОnFloor)+1;
alert ('этаж: '+ floor);
const frontDoor = Math.ceil(apartmentNumber / apartmentOnFrontDoor);
alert('номер подьезда: ' + frontDoor);



